/*===============================================================================================
      ( )      .
===============================================================================================*/

#define F_CPU 14745600UL																		//    

#include "MC12D4R4O.h"																			// 
//#include "MC12D8O.h"
//#include "MC8D2S2R.h"																			//  

#include <avr/io.h>																				//  -
#include "LED.h"																				//   LED 
#include "IOPort.h"																				//    /

int main(void)
{
	LED_Init();																					// 
	IO_Init();																					//  -


	char output=1;																				//   
	int temp;																					// 
	char buf[9]={0,0,0,0,0,0,0,0,0};															//    
	
	while(1)																					// 
	{
		Output_Write_All(output);																//    
		Led(LD_SW);		 																		// 
		LED_Return_Home();																		//    
		
		for (temp=0; temp<8; temp++)															//     
		{
			buf[temp]=((output>>(7-temp)) & 0x01)+0x30;
		}
		LED_Write_String(buf);																	//   
		output=output<<1;																		//    
		if (output==0) output=1;																//   ,   
		_delay_ms(500);																			// 
	}
}
