/*==============================================================================================
 ,      ,        ,
        .
==============================================================================================*/

#define F_CPU 14745600UL																		//    

#include "MC12D4R4O.h"																			// 
//#include "MC12D8O.h"
//#include "MC8D2S2R.h"

#include <avr/io.h>																				//  -
#include "LED.h"																				//   LED 
#include "IOPort.h"																				//    /
#include "Key.h"																				//   

int main(void)
{
	LED_Init();																					// 
	IO_Init();																					//  -
	Key_Init(LATCH_OFF);																		// 


	char output=0;																				//   
	int temp;																					// 
	char buf[9]={0,0,0,0,0,0,0,0,0};															//    -
	
	while(1)																					// 
	{
		LED_Return_Home();																		//    
		output=Output_Read_All();																//    
		
		for (temp=0; temp<8; temp++)															//     
		{
			buf[temp]=((output>>(7-temp)) & 0x01)+0x30;
		}
		LED_Write_String(buf);																	//   

		if (Key(3)==DOWN)																		//  3
		{
			while(Key(3)==DOWN);																//  
			Output_Write(3,SW);																	//  
		}
		if (Key(2)==DOWN)																		//  2
		{
			while(Key(2)==DOWN);																//  
			Output_Write(2,SW);																	//  
		}
		if (Key(1)==DOWN)																		//  1
		{
			while(Key(1)==DOWN);																//  
			Output_Write(1,SW);																	//  
		}
		if (Key(0)==DOWN)																		//  0
		{
			while(Key(0)==DOWN);																//  
			Output_Write(0,SW);																	//  
		}
		_delay_ms(100);																			// 
	}
}
